name (query parameter) - The name of the payment gateway (e.g. "Paystack")status (query parameter) - The status of the payment gateway (e.g. "test" or "live")name (string) - The name of the payment gatewaystatus (string) - The status of the payment gatewaypublicKey (string) - The public key of the payment gatewayerrorCode (integer) - The error code, if anyerrorMessage (string) - The error message, if any{
"name": "Paystack",
"status": "Test",
"publicKey": "pk_test_9jkbv3b342f7dda21e1468e223bf35fd256utyer",
"errorCode": 0,
"errorMessage": "Successfully retrieved payment gateway detail."
}
{
"type": "object",
"properties": {
"name": {"type": "string"},
"status": {"type": "string"},
"publicKey": {"type": "string"},
"errorCode": {"type": "integer"},
"errorMessage": {"type": "string"}
}
}
curl --location --request GET 'https://guestapi.roomability.io/Paygateway/Detail?name=Paystack&status=test' \
--header 'X-API-Key: {{api-key}}' \
--header 'Content-Type: application/json' \
--data-raw '{}'{
"name": "Paystack",
"status": "Test",
"publicKey": "pk_test_9jkbv3b342f7dda21e1468e223bf35fd256utyer",
"errorCode": 0,
"errorMessage": "Successfully retrieved payment gateway detail."
}